maskedcost.hh File Reference
`#include <mia/template/masked_cost.hh>`
`#include <mia/2d/image.hh>`
Include dependency graph for 2d/maskedcost.hh:

Go to the source code of this file.

## Typedefs

typedef TMaskedCost< C2DImage, C2DBitImage, C2DFVectorfield > | C2DMaskedImageCost
| the image-to-image cost function base class
typedef TFactory< C2DMaskedImageCost > | C2DMaskedImageCostPlugin
| plug-in for the image-to-image cost function base class
typedef THandlerSingleton< TFactoryPluginHandler< C2DMaskedImageCostPlugin > > | C2DMaskedImageCostPluginHandler
| plug-in handler for the image-to-image cost function base class
typedef std::shared_ptr< C2DMaskedImageCost > | P2DMaskedImageCost
| pointer type of the image-to-image cost function base class

## Variables

template class EXPORT_2D | TMaskedCost< C2DImage, C2DBitImage, C2DFVectorfield >

## Variable Documentation

## TMaskedCost< C2DImage, C2DBitImage, C2DFVectorfield >

template class EXPORT_2D TMaskedCost< C2DImage, C2DBitImage, C2DFVectorfield >

extern